<div class="content">
    <div class="errorList">
        <span class="errorMessage" *ngIf="errorLogin">
            User or password incorrect try again
        </span>
    </div>

    <form [formGroup]="loginForm" #login="ngForm" (ngSubmit)="Submit()">
        <h2>Login</h2>
        <div class="formControl">
            <label for="email">Email</label>
            <input type="text" formControlName="email" placeholder="correo@dominio.com"
                [ngClass]="{valid: emailInput.touched && emailInput.valid,
                            invalid: emailInput.touched && !emailInput.valid}">
        </div>
        <div class="formControl">
            <label for="password">Password</label>
            <input type="password" formControlName="password" placeholder="********"
                [ngClass]="{valid: passwordInput.touched && passwordInput.valid,
                            invalid: passwordInput.touched && !passwordInput.valid}">
        </div>
        <button [disabled]="!login.valid" form="this.loginForm" (click)="login.ngSubmit.emit()">SIGN IN</button>
    </form>

    <div class="errorList">
        <span class="error" *ngIf="emailInput.touched && emailInput.value && !emailInput.valid">
            Email is invalid
        </span>
        <span class="error" *ngIf="emailInput.touched && !emailInput.value">
            Email is required
        </span>
        <span class="error" *ngIf="passwordInput.touched && passwordInput.value && !passwordInput.valid">
            Password is invalid<br>
            * must contain lowercase and uppercase letters<br>
            * one number and one special characters.)
        </span>
        <span class="error" *ngIf="passwordInput.touched && passwordInput.value && passwordInput.errors?.minlength">
            * must contain at least 8 characters.
        </span>
        <span class="error" *ngIf="passwordInput.touched && !passwordInput.value">
            Password is requeried
        </span>
    </div>
</div>